## feed2exec 0.18.0

=== requirements.txt ===
# just delegate install to setup.py for now
#
# this exists mostly so we don't have to duplicate test dependencies
# between tox and setup.py
-e .

## feed2exec 0.11.0

=== debian/changelog ===
feed2exec (0.11.0) unstable; urgency=medium

  major release: two months of bugfixes, major refactoring and
  documentation overhaul.

  * bugfixes:
    * create missing directory in archive plugin
    * deal with feeds without a title
    * fix crash in mbox logging
    * fix crash when running without a config file
    * handle missing content-location header from the wayback machine
    * fix crash when using a relative path with --config
  * features:
    * allow shorter plugin names on the commandline: the full plugin load
      path is quite a mouthful. This makes it easier for our users and allow
      them to use only the shorter module name, relative to the
      `feed2exec.plugins` path, on the commandline only.  We keep the
      configuration file and internal use with the full plugin path. This is
      to avoid double-resolving the path and ensures the configuration file
      has a reliable plugin name.
  * major API refactoring, more details in d0b770a:
    * force API consumers to specify an explicit path instead of doing
      load-time guessing.
    * use composition instead of inheritance in the feed manager, to
      reduce ambiguity
    * locking is now in the FeedManager dispatch command
    * plugins are now ran serially even when running in parallel, although
      plugins are, as a whole, executed in parallel with the parsing, which
      is the main performance improvement we are looking for in parallelism
      anyways, because parsing is the slow part. performance tests don't
      show any significant degradation in performance
  * minor API changes:
    * allow find_test_file to return the test directory, to permit listing
      test artifacts
    * shorten and explicit variable names
    * rename test_db fixture to db_path to harmonize with conf_path fixture
    * also harmonize class names between conf and cache storage
  * extensive documentation refactoring:
    * document test writing
    * split code of conduct and contribution guide
    * fix formatting error in plugins docs and broken links in design docs
    * add security disclosure guidelines and contact
    * add support section inspired by Monkeysign
    * add issue template, integrated with GitLab
    * expand design documentation to provide a quick tour of the code
    * mention --catchup in cache purge and plugin deletion limitation
    * count lines of code without tests: it is unfair to compare out line
      count with the others because we have a much larger test suite, which
      has exploded in recent releases
    * suggest positive feedback as a contribution
    * fix syntax error and mention caveat of toot/mastodon integration
      after tests
  * test suite improvements;
    * add test suite for archive plugin
    * use pytest parametrization for opml test files
    * enable debug-level log capture in the catchlog module
    * accept OPML test files without resulting .ini file
    * refactor temp db use to simplify test suite
    * move OPML main test along with other OPML tests

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 29 Jan 2018 11:12:36 -0500

feed2exec (0.10.0) unstable; urgency=medium

  * bugfies:
    * security: avoid possible config setting override, see 2a49300 for
      details
    * follow redirections in wayback machine
    * remove useless db query when forcing
  * features
    * add transmission plugin, to write torrents to specific folders
      safely
    * add ikiwiki recentchanges filter: fixes recent changes summaries to
      fetch links properly
    * add linkchecker examples: allows users to check their publications
      for broken links
    * add shortcut parse command: allows running a single feed with a
      temporary configuration
    * make echo plugin a little more useful by *only* showing the passed
      arguments
  * documentation:
    * document catchup properly
    * add missing documentation about some add parameters in manpage
  * massive API refactoring:
    * plugins are now responsible for handling the "catchup" setting
    * FeedStorage is gone, replaced with a FeedManager
    * add a Feed object which has the parse/fetch functions and holds the
      session singleton

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 05 Nov 2017 15:38:26 -0500

feed2exec (0.9.0) unstable; urgency=medium

  * API changes:
    * config file moved from ~/.config/feed2exec/feed2exec.ini to
      ~/.config/feed2exec.ini. move it by hand to keep feed2exec working
    * database cache moved from ~/.config/feed2exec/feed2exec.db to
      ~/.cache/feed2exec.db. move by hand to keep feed2exec working or
      regenerate with `feed2exec fetch --catchup`
    * use sessions everywhere and betamax for all queries
    * refactor feeds storage to remove global
    * completely rework class hierarchy
    * use requests-file instead of custom file:// handler
    * new dependencies: pyxdg and requests-file
  * bugfixes:
    * package should be arch: all, like other python packages, not any
  * features:
    * use a custom user agent

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 19 Oct 2017 15:48:19 -0400

feed2exec (0.8.0) unstable; urgency=medium

  * API changes: feed2exec.feeds.fetch now returns bytes, as documented
  * bugfixes:
    * fix crash importing Liferea feed with folders, noticed by pabs
    * properly encode From headers
    * fix double-encoding issues in all output plugins
  * features:
    * bash completion
    * add basic opml unit tests
    * opml folder support: save the parent "folder" element in config if
      relevant
    * allow duplicate feed imports by abusing the folder name
    * expanded test coverage from 89 to 93%
  * documentation:
    * expand tests documentation and add plugin design docs
    * expand on the use of vcr
    * expand the design document
    * cross-reference the two manpages

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 18 Oct 2017 14:41:44 -0400

feed2exec (0.7.0) unstable; urgency=medium



=== debian/control ===
Source: feed2exec
Section: admin
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 10)
             , dh-python
             , python3
             , python3-doc
             , python3-setuptools
             , python3-setuptools-scm
             , python3-sphinx
             , python3-sphinx-rtd-theme
             , python3-pytest-cov
             , python3-pytest-runner
             , python3-betamax
             , python3-click
             , python3-feedparser
             , python3-html2text
             , python3-requests
             , python3-requests-file
             , python3-unidecode
             , python3-xdg
X-Python-3-Version: >= 3.5
Standards-Version: 4.1.1
Homepage: https://gitlab.com/anarcat/feed2exec
Vcs-Git: https://gitlab.com/anarcat/feed2exec
Vcs-Browser: https://gitlab.com/anarcat/feed2exec/tree/master

Package: feed2exec
Architecture: all
Depends: ${misc:Depends}
       , ${python3:Depends}
Suggests: feed2exec-doc
Description: programmable feed reader
 feed2exec is a simple program that runs custom actions on new RSS
 feed items (or whatever feedparser can read). It currently has
 support for writing into mailboxes (Maildir or mbox folders) or
 executing commands, but more actions can be easily implemented
 through plugins. Email are saved as multipart plain/HTML and can be
 sent to arbitrary folders.

Package: feed2exec-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
       , ${sphinxdoc:Depends}
Description: programmable feed reader - documentation files
 feed2exec is a simple program that runs custom actions on new RSS
 feed items (or whatever feedparser can read). It currently has
 support for writing into mailboxes (Maildir or mbox folders) or
 executing commands, but more actions can be easily implemented
 through plugins. Email are saved as multipart plain/HTML and can be
 sent to arbitrary folders.
 .
 HTML documentation for the feed2exec feed reader.

## feed2exec 0.12.0

=== debian/changelog ===
feed2exec (0.12.0) unstable; urgency=medium

  [ Christophe Moille ]
  * feed2exec.ini no more in ~/.config/feed2exec

  [ Antoine Beaupré ]
  * synchronize commandline usage with usage docs
  * fix remaining instances of old config file path
  * add more badges incl. say thanks
  * add --catchup flag to parse as well
  * fix documentation for catchup flag
  * make the echo plugin more manifest when debugging
  * fix planet test failure on older html2text
  * add failing test for issue #5
  * fix parsing of empty links

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 14 Jun 2018 12:31:38 -0400

## feed2exec 0.13.0

=== debian/changelog ===
feed2exec (0.13.0) unstable; urgency=medium

  [ Antoine Beaupré ]
  * python 3.7 support, default on python:latest now
  * wayback machine API change: HEAD not supported anymore
  * fix strange crash in wayback plugin
  * comply with new feedparser deprecation warning
  * switch to logging.warning to comply with deprecation warning
  * disable cov which crashes on sqlite3.IntegrityError
  * explain how tests are hooked up together.
  * fix typo, thanks gagz
  * include post timestamp in ikiwiki GUIDs

  [ Kang ]
  * According to RFC5064, change header 'Archive-At' to 'Archived-At'

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 16 Feb 2019 10:38:09 -0500

## feed2exec 0.14.0

=== debian/changelog ===
feed2exec (0.14.0) unstable; urgency=medium

  bugfix release, with a small new feature

  * warn instead of crashing on invalid dates
  * expand and cleanup date validation routines
  * use dateparser module if available
  * recommend the dateparser module for better dates handling
  * handle broken pipe correctly from plugins
  * add JSON output plugin
  * bump standards, switch to dh-compat, no change

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 26 Feb 2019 17:00:07 -0500

## feed2exec 0.15.0

=== debian/changelog ===
feed2exec (0.15.0) unstable; urgency=medium

  bugfix release to catchup with changes in feedparser from buster.

  * play catchup with newer html2text version again
  * workaround timezone parsing bug in dateparser
  * switch to dateparser for PyPI and tests as well
  * register properly the special mark we are using
  * reduce noise level of 'missing time' problems

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 03 Oct 2019 12:36:22 -0400

## feed2exec 0.17.1

=== debian/changelog ===
feed2exec (0.17.1) unstable; urgency=medium

  * fix unit tests in a clean environment

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 04 Feb 2021 17:14:59 -0500

feed2exec (0.17.0) unstable; urgency=medium

  [ Roland Hieber ]
  * move default database path to ~/.local/share (Closes: GL#16)

  [ Antoine Beaupré ]
  * default to data directory and add a deprecation warning (Closes: GL#17)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 04 Feb 2021 15:59:22 -0500

feed2exec (0.16.0) unstable; urgency=medium

  major refactoring, new features, bug fixes

  API changes:

  * refactoring into a somewhat MVC model: split large feeds.py into
    model.py and controller.py
  * rename FeedCacheStorage to FeedItemCacheStorage
  * factor out getter/setters in the base sqlite class
  * remove conn member in sqlite to force use of context manager
  * move session and fetching to the feed manager
  * rename feeds to feed_manager in main
  * allow absolute path in folder setting (Closes: #14)

  New features:

  * caching: latest feed contents get cached to avoid re-downloading
    unchanged feeds. this includes parsing HTTP headers and so on, and
    relies on the good behavior of the `cachecontrol` Python module
  * Python 3.6-3.8 support

  Bugfixes:
  * recover from feedparser exceptions (Closes: #964597)

  [ Roland Hieber ]
  * README: don't let the example config create a folder named '~/Mailbox/'

  [ Ian Zimmerman ]
  * add --quiet option to silence warnings since --loglevel was broken

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 06 Oct 2020 14:29:08 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper-compat (= 12)
              , dh-python
              , python3
              , python3-doc
@@ -14,6 +14,7 @@
              , python3-pytest-runner
              , python3-betamax
              , python3-click
+             , python3-dateparser
              , python3-feedparser
              , python3-html2text
              , python3-requests
@@ -21,7 +22,7 @@
              , python3-unidecode
              , python3-xdg
 X-Python-3-Version: >= 3.5
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Homepage: https://gitlab.com/anarcat/feed2exec
 Vcs-Git: https://gitlab.com/anarcat/feed2exec
 Vcs-Browser: https://gitlab.com/anarcat/feed2exec/tree/master
@@ -30,6 +31,7 @@
 Architecture: all
 Depends: ${misc:Depends}
        , ${python3:Depends}
+Recommends: python3-dateparser
 Suggests: feed2exec-doc
 Description: programmable feed reader
  feed2exec is a simple program that runs custom actions on new RSS

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@  --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
        # builder=html,man only supported in Sphinx 1.6, not yet released:
        # http://www.sphinx-doc.org/en/master/setuptools.html
	cd doc && SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build make html man

## feed2exec 0.18.0

=== debian/changelog ===
feed2exec (0.18.0) unstable; urgency=medium

  ship accumulated bugfixes and catchup with wayback machine changes.

  special thanks to Paul Wise for the immesurable patience on
  the wayback plugin and test suite, and to Jelmer Vernooĳ for the
  Debian Janitor.

  New features:

  * Add support for saving page resources to the Wayback Machine too,
    thanks Paul Wise!

  API changes:

  * we now generate a standard message-id, which has brackets around it

  Bugfixes:

  * fix rare crash in feed2exec parse with an empty `mailbox` setting
  * fix feedparser dependencies for newer python
  * catchup with html2text again (2020.1.16)
  * add failing test and fix for cachecontrol 0.12.10 new API (Closes: GL#22)
  * do not cache requests in plugins (Closes: #1001412, GL#26)
  * Require feedparser 5 as minimum version for Python 3, thanks Paul Wise

  Documentation:

  * mention (lack of) Gemini and other protocol support
  * leave Freenode for oftc.net

  Cleanup, CI, linting:

  * avoid dateparser bug workaround in newer versions
  * drop support for python 3.5, add 3.9
  * enforce black in tox, but not in CI
  * first pass at type checking with mypy, with failures allowed
  * switch to setup.cfg as much as possible
  * fix rst syntax since we are not hacking it anymore
  * mention build module, which may be necessary for newer setuptools_scm
  * move fixtures to conftest.py
  * use pytest.mark.network instead of xfail

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use canonical URL in Vcs-Git.
  * Update standards version to 4.5.1, no changes needed.

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 31 Jan 2022 20:51:55 -0500

=== debian/control ===
Source: feed2exec
Section: admin
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3,
 python3-betamax (>= 0.8.0),
 python3-click,
 python3-dateparser,
 python3-doc,
 python3-feedparser,
 python3-html2text,
 python3-html5lib,
 python3-lxml,
 python3-pytest-cov,
 python3-pytest-runner,
 python3-requests,
 python3-requests-file,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-unidecode,
 python3-xdg,
X-Python-3-Version: >= 3.5
Standards-Version: 4.5.1
Homepage: https://gitlab.com/anarcat/feed2exec
Vcs-Git: https://gitlab.com/anarcat/feed2exec.git
Vcs-Browser: https://gitlab.com/anarcat/feed2exec/tree/master

Package: feed2exec
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-dateparser,
Suggests:
 feed2exec-doc,
Description: programmable feed reader
 feed2exec is a simple program that runs custom actions on new RSS
 feed items (or whatever feedparser can read). It currently has
 support for writing into mailboxes (Maildir or mbox folders) or
 executing commands, but more actions can be easily implemented
 through plugins. Email are saved as multipart plain/HTML and can be
 sent to arbitrary folders.

Package: feed2exec-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: programmable feed reader - documentation files
 feed2exec is a simple program that runs custom actions on new RSS
 feed items (or whatever feedparser can read). It currently has
 support for writing into mailboxes (Maildir or mbox folders) or
 executing commands, but more actions can be easily implemented
 through plugins. Email are saved as multipart plain/HTML and can be
 sent to arbitrary folders.
 .
 HTML documentation for the feed2exec feed reader.

## feed2exec 0.19.0

=== debian/changelog ===
feed2exec (0.19.0) unstable; urgency=medium

  * implement --nocache option

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 13 Feb 2023 15:28:37 -0500

feed2exec (0.18.1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Antoine Beaupré ]
  * New features:

    * new plugin: ikiwiki toot

  * documentation changes:

    * fix incorrect string stripping in README (Closes: GL#29)

  * cleanups:

    * add support for Python 3.10, no change
    * remove the test compatibility shim from setup.py
    * silence warnings from lxml missing type hints
    * more uniform variable naming (underscores)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 09 Feb 2023 10:32:00 -0500

## feed2exec 0.20.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS   ?=
SPHINXBUILD  ?= sphinx-build
PAPER        ?=
BUILDDIR     ?= build
SOURCEDIR    ?= .

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ecdysis.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ecdysis.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ecdysis"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ecdysis"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
feed2exec (0.20.0) unstable; urgency=medium

  [ Ryosuke Ito ]
  * Add matchtitleregex and droptitleregex plugin and tests

  [ Antoine Beaupré ]
  * implement codespell linting, fixing all found errors
  * more related software: rss-bridge
  * isort: sort imports all over
  * add missing readthedocs configuration file, now mandatory
  * cross-reference droptitle and droptitle-regex

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 17 Jan 2024 12:23:35 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 12),
  dh-python,
  python3,
- python3-betamax (>= 0.8.0),
+ python3-betamax,
  python3-click,
  python3-dateparser,
  python3-doc,

## feed2exec 0.22.0

=== debian/changelog ===
feed2exec (0.22.0) unstable; urgency=medium

  * cleanups:
    * add renovate bot
    * start using tox --current-env
    * use debputy reformat for control files, no change
    * silence flake8 warnings
    * fix test collection in pytest 3.8+
    * chase new html2text in test suite
    * drop support for Python < 3.8
    * note the existence of markdownify
    * fix deprecation warning: get rid of dateparser feature detection
    * fix test suite failures due to deprecation warnings
    * fix a new mypy warning on old code
    * note that 0.21 was only published on pypi
  * ikiwikitoot: add tool bypass RSS feed parsing altogether
  * fix error in handling toot error codes

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 03 Mar 2025 14:41:40 -0500

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
 Homepage: https://gitlab.com/anarcat/feed2exec
 Vcs-Git: https://gitlab.com/anarcat/feed2exec.git
 Vcs-Browser: https://gitlab.com/anarcat/feed2exec/tree/master
+X-Style: black
 
 Package: feed2exec
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+
+# disable network tests in Debian package build
+export PYBUILD_TEST_ARGS=-k 'not network'
 
 %:
 	dh $@  --with=python3,sphinxdoc --buildsystem=pybuild

## feed2exec 0.22.0build1

=== debian/changelog ===
feed2exec (0.22.0build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 20 Jan 2026 19:43:31 +0000
